import request from '@/utils/request'

// 查询测点数据列表
export function listPitData(query) {
  return request({
    url: '/device/pitData/list',
    method: 'get',
    params: query
  })
}

// 查询测点数据详细
export function getPitData(id) {
  return request({
    url: '/device/pitData/' + id,
    method: 'get'
  })
}

// 新增测点数据
export function addPitData(data) {
  return request({
    url: '/device/pitData',
    method: 'post',
    data: data
  })
}

// 修改测点数据
export function updatePitData(data) {
  return request({
    url: '/device/pitData',
    method: 'put',
    data: data
  })
}

// 删除测点数据
export function delPitData(id) {
  return request({
    url: '/device/pitData/' + id,
    method: 'delete'
  })
}
